/*
 * File: DiceHistogram.java
 * =====================================================
 * A program that builds a histogram of the total rolls
 * shown on two dice.  This program has BUGS!!
 */
import acm.program.*;
import acm.util.*;

public class DiceHistogram extends ConsoleProgram {
	private static final int NUM_SIDES = 6;
	private static final int NUM_ITERATIONS = 1000;
	
	public void run() {
		/* Attack of the Giant Bugs II: Return of the
		 * Giant Bugs!
		 */
		setFont("DejaVuSerif-BOLD-24");

		RandomGenerator rgen = RandomGenerator.getInstance();
		
		/* Track how frequently each total comes up. */
		int[] totals = new int[NUM_SIDES + NUM_SIDES + 1];
		
		/* Simulate some number of iterations of rolling two
		 * dices, counting how frequently each outcome arises.
		 */
		for (int i = 0; i < NUM_ITERATIONS; i++) {
			int sum = rgen.nextInt(1, NUM_SIDES) + rgen.nextInt(1, NUM_SIDES);
			totals[sum]++;
		}
		
		/* Print out the frequency table. */
		for (int i = 0; i < totals.length; i++) {
			println(i + ": " + totals[i]);
		}
	}
}
